MockObject
Date: 2015-09-15

org.jmock.expectation

## Class MockObject

- java.lang.Object
- - org.jmock.expectation.MockObject

- All Implemented Interfaces:
    Verifiable
  Direct Known Subclasses:
    ReturnObjectMap

      public abstract class MockObject
      extends java.lang.Object
      implements Verifiable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockObject()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertEquals(java.lang.String message, int o1, int o2)`
    `protected void` | `assertEquals(java.lang.String message, java.lang.Object o1, java.lang.Object o2)`
    `protected void` | `assertTrue(java.lang.String message, boolean condition)`
    `protected void` | `fail(java.lang.String message)`
    `void` | `notImplemented()`
    `protected void` | `notYetImplemented()` Deprecated.
    `static void` | `notYetImplemented(java.lang.String mockName)` Deprecated.
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockObject

          public MockObject()

  - ### Method Detail

    - #### assertEquals

          protected void assertEquals(java.lang.String message,
                          int o1,
                          int o2)

    - #### assertEquals

          protected void assertEquals(java.lang.String message,
                          java.lang.Object o1,
                          java.lang.Object o2)

    - #### assertTrue

          protected void assertTrue(java.lang.String message,
                        boolean condition)

    - #### fail

          protected void fail(java.lang.String message)

    - #### notImplemented

          public void notImplemented()

    - #### notYetImplemented

          protected void notYetImplemented()

      Deprecated.

    - #### notYetImplemented

          public static void notYetImplemented(java.lang.String mockName)

      Deprecated.

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.
      Specified by:
        `verify` in interface `Verifiable`